import os

from .post_handler import POST


def log_spam(filename, request):
    spam_dict = dict()

    try:
        data = POST(request.environ)
        spam_dict.update(data.parameters)
    except Exception as e:
        pass

    sender_info_dict = request.info()
    spam_dict.update(sender_info_dict)

    text = str(spam_dict) + "\n"

    if not os.path.isfile(filename):
        with open(filename, "w") as out_file:
            out_file.write(text)
    else:
        with open(filename, "a") as out_file:
            out_file.write(text)
